{%- comment -%}
Based on:
https://dev-notes.eu/2016/01/og-tags-for-jekyll/
{%- endcomment -%}

<!-- Social Facebook/Open Graph -->
<meta property="og:site_name" content="{{ site.title | xml_escape }}">

{% if page.title -%}
  <meta property="og:title" content="{{ page.title | xml_escape }}">
{%- else -%}
  <meta property="og:title" content="{{ site.title | xml_escape }}">
{%- endif %}

{% if page.title -%}
  <meta property="og:type" content="article">
{%- else -%}
  <meta property="og:type" content="website">
{%- endif %}

{% if page.description -%}
  <meta property="og:description" content="{{ page.description | strip_html | strip_newlines | truncate: 160 | xml_escape }}">
{%- elsif page.excerpt -%}
  <meta property="og:description" content="{{ page.excerpt | strip_html | strip_newlines | xml_escape }}">
{%- else -%}
  <meta property="og:description" content="{{ site.description | xml_escape }}">
{%- endif %}

{% if page.url -%}
  <meta property="og:url" content="{{ page.url | replace: 'index.html', '' | prepend: site.baseurl | prepend: site.url }}">
{%- endif %}

{% if page.date -%}
  <meta property="article:published_time" content="{{ page.date | date_to_xmlschema }}">
{%- endif %}

{% if page.featured-image -%}
  <meta property="og:image" content="{{ page.featured-image | prepend: site.url }}">
{%- elsif page.image -%}
  <meta property="og:image" content="{{ page.image | prepend: site.url }}">
{%- else -%}
  {%- comment -%}
  <!-- <meta property="og:image" content="{{ '/assets/img/blog-image.png' | prepend: site.baseurl | prepend: site.url }}"> -->
  {%- endcomment -%}
{%- endif %}

{% if page.categories -%}
  {% for category in page.categories limit:1 -%}
  <meta property="article:section" content="{{ category | xml_escape }}">
  {%- endfor %}
{%- endif %}

{% if page.tags -%}
  {% for tag in page.tags -%}
  <meta property="article:tag" content="{{ tag | xml_escape }}">
  {%- endfor %}
{%- endif %}
